io.milvus.param.alias

## Class DropAliasParam.Builder

- java.lang.Object
- - io.milvus.param.alias.DropAliasParam.Builder

Enclosing class:
  DropAliasParam

    public static final class DropAliasParam.Builder
    extends java.lang.Object

Builder for `DropAliasParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`DropAliasParam` `build()` Verifies parameters and creates a new `DropAliasParam` instance.
`DropAliasParam.Builder` `withAlias(@NonNull java.lang.String alias)` Sets collection alias.
`DropAliasParam.Builder` `withDatabaseName(java.lang.String databaseName)` Sets the database name.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withAlias

    public DropAliasParam.Builder withAlias(@NonNull
                                            @NonNull java.lang.String alias)

Sets collection alias. Collection alias cannot be empty or null.

Parameters:
  `alias` - alias of the collection
Returns:
  `Builder`

#### withDatabaseName

    public DropAliasParam.Builder withDatabaseName(java.lang.String databaseName)

Sets the database name. database name can be nil.

Parameters:
  `databaseName` - database name
Returns:
  `Builder`

#### build

    public DropAliasParam build()
                         throws ParamException

Verifies parameters and creates a new `DropAliasParam` instance.

Returns:
  `DropAliasParam`
Throws:
  `ParamException`